package game

import (
	"golib.gaore.com/GaoreGo/gaore-common-sdk-go/sdk/requests"
	"golib.gaore.com/GaoreGo/gaore-common-sdk-go/sdk/responses"
)

type GetGameOsInfoReq struct {
	*requests.RpcRequest
}

type GetGameOsInfoResp struct {
	*responses.BaseResponse
	Code int    `json:"code"`
	Msg  string `json:"msg"`
	Data Data   `json:"data"`
}

type Data struct {
	OsRelList2 []OsRelList2      `json:"os_rel_list2"`
	OsList     map[string]OsList `json:"os_list"`
}

type OsRelList2 struct {
	TwPlatID int `json:"tw_plat_id"`
	TwOs     int `json:"tw_os"`
	Os       int `json:"os"`
	OsTwo    int `json:"os_two"`
}

type OsList struct {
	Name  string `json:"name"`
	OsTwo map[string]interface{}
}

func CreateGetGameOsInfoReq() *GetGameOsInfoReq {
	req := &GetGameOsInfoReq{
		RpcRequest: &requests.RpcRequest{},
	}
	req.InitWithApiInfo(HOST, VERSION, "/api/game/getGameOsInfo")
	req.Method = requests.POST
	return req
}

func CreateGetGameOsInfoResp() *GetGameOsInfoResp {
	return &GetGameOsInfoResp{
		BaseResponse: &responses.BaseResponse{},
	}
}
